amlib.ccid

## Class SCError

- java.lang.Object
- - amlib.ccid.SCError

-     public final class SCError
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `READER_CARD_INACTIVE`
    `static int` | `READER_CARD_LOCKED`
    `static int` | `READER_CMD_BUSY`
    `static int` | `READER_CMD_FAIL`
    `static int` | `READER_DEV_ERR`
    `static int` | `READER_INVALID_PARAMETER`
    `static int` | `READER_MEM_ERROR`
    `static int` | `READER_NO_CARD`
    `static int` | `READER_NOT_INITIALED`
    `static int` | `READER_NOT_SUPPORT`
    `static int` | `READER_PBOC_FAIL`
    `static int` | `READER_SUCCESSFUL`
    `static int` | `READER_TIMEOUT`
    `static int` | `READER_TRANSMIT_ERROR`
    `static int` | `STATUS_MASK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCError()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `errorCode2String(int errCode)`
    `static int` | `maskStatus(int code)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_MASK

          public static final int STATUS_MASK

      See Also:
        Constant Field Values

    - #### READER_SUCCESSFUL

          public static final int READER_SUCCESSFUL

      See Also:
        Constant Field Values

    - #### READER_TRANSMIT_ERROR

          public static final int READER_TRANSMIT_ERROR

      See Also:
        Constant Field Values

    - #### READER_CMD_FAIL

          public static final int READER_CMD_FAIL

      See Also:
        Constant Field Values

    - #### READER_CMD_BUSY

          public static final int READER_CMD_BUSY

      See Also:
        Constant Field Values

    - #### READER_NOT_SUPPORT

          public static final int READER_NOT_SUPPORT

      See Also:
        Constant Field Values

    - #### READER_NO_CARD

          public static final int READER_NO_CARD

      See Also:
        Constant Field Values

    - #### READER_MEM_ERROR

          public static final int READER_MEM_ERROR

      See Also:
        Constant Field Values

    - #### READER_TIMEOUT

          public static final int READER_TIMEOUT

      See Also:
        Constant Field Values

    - #### READER_INVALID_PARAMETER

          public static final int READER_INVALID_PARAMETER

      See Also:
        Constant Field Values

    - #### READER_NOT_INITIALED

          public static final int READER_NOT_INITIALED

      See Also:
        Constant Field Values

    - #### READER_PBOC_FAIL

          public static final int READER_PBOC_FAIL

      See Also:
        Constant Field Values

    - #### READER_CARD_INACTIVE

          public static final int READER_CARD_INACTIVE

      See Also:
        Constant Field Values

    - #### READER_CARD_LOCKED

          public static final int READER_CARD_LOCKED

      See Also:
        Constant Field Values

    - #### READER_DEV_ERR

          public static final int READER_DEV_ERR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SCError

          public SCError()

  - ### Method Detail

    - #### errorCode2String

          public static final java.lang.String errorCode2String(int errCode)

    - #### maskStatus

          public static int maskStatus(int code)